
Redmine - Feature #34142

Drop Ruby 2.3 support

2020-10-20 11:12 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

The official support of Ruby 2.3 has already ended on 2019-03-31.

https://www.ruby-lang.org/en/news/2019/03/31/support-of-ruby-2-3-has-ended/

And some gems such as rubocop, rubyzip, simplecov, capybara, csv, and roadie dropped support for Ruby 2.3 in the latest version.

Related issues:

Related to Redmine - Patch #32530: Update RuboCop to 1.12 Closed

Related to Redmine - Defect #27780: Case-insensitive matching fails for Unico... Closed

Related to Redmine - Patch #34150: Use match? instead of =~ when MatchData is... Closed

Related to Redmine - Patch #34153: Use sum instead of inject(0, :+) Closed

Associated revisions

Revision 20154 - 2020-10-21 04:41 - Go MAEDA

Drop Ruby 2.3 support (#34142).

Revision 20155 - 2020-10-22 04:34 - Go MAEDA

Fix RuboCop offense Style/RedundantCapitalW due to r20154 (#34142).

Revision 20169 - 2020-10-23 02:17 - Go MAEDA

RuboCop: Set TargetRubyVersion to 2.4 (#34142).

History

#1 - 2020-10-20 11:16 - Go MAEDA

Jean-Philippe Lang has removed Ruby 2.3 from the official CI server today.

#2 - 2020-10-20 11:46 - Go MAEDA

- Target version set to 4.2.0

#3 - 2020-10-20 12:18 - Go MAEDA

- File drop-ruby-2_3.diff added

Here is a patch to drop Ruby 2.3 support.

#4 - 2020-10-20 12:20 - Go MAEDA

- File deleted (drop-ruby-2_3.diff)

#5 - 2020-10-20 12:20 - Go MAEDA

- File drop-ruby-2_3.diff added

#6 - 2020-10-21 04:40 - Go MAEDA

- Related to Patch #32530: Update RuboCop to 1.12 added

#7 - 2020-10-21 04:43 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the change.

#8 - 2020-10-21 04:48 - Go MAEDA

- Related to Defect #27780: Case-insensitive matching fails for Unicode filenames when referring to attachments in text formatting added

#9 - 2020-10-22 04:25 - Go MAEDA

- Related to Patch #34150: Use match? instead of =~ when MatchData is not used added

#10 - 2020-10-22 11:26 - Go MAEDA

- Related to Patch #34153: Use sum instead of inject(0, :+) added

#11 - 2020-11-16 08:59 - Go MAEDA

- Tracker changed from Defect to Feature

Files

drop-ruby-2_3.diff 3.11 KB 2020-10-20 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

